### Hierarchy

- unknown
  - PersistedEntryMap

## Index

### Constructors

- constructor

### Methods

- clearPersistedEntryMapMap
- getPersistedEntryMapMap
- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PersistedEntryMap(): PersistedEntryMap

- Inherited from jspb.Message.constructor

  #### Returns PersistedEntryMap

## Methods

### clearPersistedEntryMapMap

- clearPersistedEntryMapMap(): PersistedEntryMap

- - Defined in src/protobuf/pb_pb.d.ts:6138

  #### Returns PersistedEntryMap

### getPersistedEntryMapMap

- getPersistedEntryMapMap(): Map<string, ProtectedStorageEntry >

- - Defined in src/protobuf/pb_pb.d.ts:6137

  #### Returns Map<string, ProtectedStorageEntry >

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6140

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): PersistedEntryMap . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6141

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PersistedEntryMap . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PersistedEntryMap

- - Defined in src/protobuf/pb_pb.d.ts:6144

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PersistedEntryMap

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PersistedEntryMap, reader: BinaryReader): PersistedEntryMap

- - Defined in src/protobuf/pb_pb.d.ts:6145

  #### Parameters

  - ##### message: PersistedEntryMap

  - ##### reader: BinaryReader

  #### Returns PersistedEntryMap

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PersistedEntryMap, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6143

  #### Parameters

  - ##### message: PersistedEntryMap

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PersistedEntryMap ): PersistedEntryMap . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6142

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PersistedEntryMap

  #### Returns PersistedEntryMap . AsObject

Generated using TypeDoc